<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iMovePathSeqOpFactory Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iMovePathSeqOpFactory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iMovePathSeqOpFactory" --><!-- doxytag: inherits="iBase" -->
<p>This interface is implemented by the seqop that moves meshes along a path.  
 <a href="structiMovePathSeqOpFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="sequences_8h_source.html">tools/sequences.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iMovePathSeqOpFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiMovePathSeqOpFactory.png" usemap="#iMovePathSeqOpFactory_map" alt=""/>
  <map id="iMovePathSeqOpFactory_map" name="iMovePathSeqOpFactory_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,154,24"/>
</map>
 </div></div>

<p><a href="structiMovePathSeqOpFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiMovePathSeqOpFactory.html#a3eca9c2b5b1e53ec4bf5d23c1d9a287c">AddPathNode</a> (const char *sectorname, const char *node, const char *time)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a node.  <a href="#a3eca9c2b5b1e53ec4bf5d23c1d9a287c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiMovePathSeqOpFactory.html#a57a8bc46c39abecf2bf5ed035968f2a8">SetEntityParameter</a> (const char *entity, const char *tag=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the entity containing the pcmesh (either entity name or a parameter if it starts with '$').  <a href="#a57a8bc46c39abecf2bf5ed035968f2a8"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface is implemented by the seqop that moves meshes along a path. </p>
<p>You can query this interface from the seqop factory if you want to manually control this factory as opposed to loading its definition from an XML document.</p>
<p>The predefined name of this seqop type is 'cel.seqops.movepath'.</p>
<p>In XML, factories recognize the following attributes on the 'op' node:</p>
<ul>
<li><em>entity</em>: the name of the entity containing the pcmesh property class.</li>
<li><em>entity_tag</em>: optional tag used to find the right property class from the entity.</li>
<li>several <em>pathnode</em> tags: one for every node with the following attributes: sector, node, and time. All of those can be a parameter. The 'node' refers to a node object in the given sector from which the position, up ('yvector'), and forward ('zvector') will be used. 'time' should be an increasing time value. </li>
</ul>

<p>Definition at line <a class="el" href="sequences_8h_source.html#l00321">321</a> of file <a class="el" href="sequences_8h_source.html">sequences.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a3eca9c2b5b1e53ec4bf5d23c1d9a287c"></a><!-- doxytag: member="iMovePathSeqOpFactory::AddPathNode" ref="a3eca9c2b5b1e53ec4bf5d23c1d9a287c" args="(const char *sectorname, const char *node, const char *time)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiMovePathSeqOpFactory.html#a3eca9c2b5b1e53ec4bf5d23c1d9a287c">iMovePathSeqOpFactory::AddPathNode</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>sectorname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a node. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">sectorname</td><td>is the name of the sector in which the node can be found. Warning! In the current implementation the sector should be the same for all nodes. </td></tr>
    <tr><td class="paramname">node</td><td>is the name of the node (position, yvector, and zvector are used). </td></tr>
    <tr><td class="paramname">time</td><td>is an increasing time value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a57a8bc46c39abecf2bf5ed035968f2a8"></a><!-- doxytag: member="iMovePathSeqOpFactory::SetEntityParameter" ref="a57a8bc46c39abecf2bf5ed035968f2a8" args="(const char *entity, const char *tag=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiMovePathSeqOpFactory.html#a57a8bc46c39abecf2bf5ed035968f2a8">iMovePathSeqOpFactory::SetEntityParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the entity containing the pcmesh (either entity name or a parameter if it starts with '$'). </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">tag</td><td>is the optional tag of the entity or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="sequences_8h_source.html">sequences.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
